GET api/poolapi/poolsbycustomerid/{customerId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"description": "sample string 2",
"id": "61ca4556-57b9-4d0a-99e0-d862a0160f65",
"site_id": "10d07939-6e0f-4ac4-a672-0dcafa2e7221"
},
{
"active": true,
"description": "sample string 2",
"id": "61ca4556-57b9-4d0a-99e0-d862a0160f65",
"site_id": "10d07939-6e0f-4ac4-a672-0dcafa2e7221"
}
]
application/xml, text/xml
Sample:
<ArrayOfpool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pool>
<active>true</active>
<description>sample string 2</description>
<id>61ca4556-57b9-4d0a-99e0-d862a0160f65</id>
<site_id>10d07939-6e0f-4ac4-a672-0dcafa2e7221</site_id>
</pool>
<pool>
<active>true</active>
<description>sample string 2</description>
<id>61ca4556-57b9-4d0a-99e0-d862a0160f65</id>
<site_id>10d07939-6e0f-4ac4-a672-0dcafa2e7221</site_id>
</pool>
</ArrayOfpool>